var system = require("../../../system")
const CtlBase = require("../../ctl.base");
class AgentCtl extends CtlBase {
  constructor() {
    super("rejreex", CtlBase.getServiceName(AgentCtl));
  }

  async getAgentOfCase (pobj, qobj, req) {
    try {
      let caseId = pobj.caseId
      let result = await this.service.getOfCase(caseId)
      return system.getResultSuccess(result)
    } catch (error) {
      console.log('err: ', error)
      return system.getResultFail(error.message)
    }
  }
}
module.exports = AgentCtl;